Do I need to upgrade to OS X 10.5 if I have a G5? If so, where do I get that? I see that snow leopard can only be used with an intel machine

Back To Product

Follow this Question

No Answers have been submitted

Be the first to answer this question.  Answer now

Related Questions